DOM::AbstractView Class Reference

`#include <dom2_views.h>`

## Public Member Functions

| AbstractView (const AbstractView &other)
AbstractView & | operator= (const AbstractView &other)
Document | document () const
CSSStyleDeclaration | getComputedStyle (const Element &elt, const DOMString &pseudoElt)
AbstractViewImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| AbstractView (AbstractViewImpl *i)

## Protected Attributes

AbstractViewImpl * | impl

## Friends

class | Event
class | UIEvent
class | MouseEvent
class | MutationEvent
class | Document

## Detailed Description

Introduced in DOM Level 2.

A base interface that all views shall derive from.

Definition at line 41 of file dom2_views.h.

## Member Function Documentation

Document AbstractView::document | ( |  | ) | const

The source DocumentView of which this is an AbstractView.

Definition at line 67 of file dom2_views.cpp.

CSSStyleDeclaration AbstractView::getComputedStyle | ( | const Element & | elt,
|  | const DOMString & | pseudoElt
| ) |  |

Introduced in DOM Level 2 This method is from the ViewCSS interface.

This method is used to get the computed style as it is defined in [CSS2].

Parameters

  elt | The element whose style is to be computed. This parameter cannot be null.
  pseudoElt | The pseudo-element or null if none.

Returns
  The computed style. The CSSStyleDeclaration is read-only and contains only absolute values.

Definition at line 75 of file dom2_views.cpp.

The documentation for this class was generated from the following files:

- dom2_views.h
- dom2_views.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys